Merge "Add timeout to restore"

This commit is contained in:
Jenkins 2015-05-19 20:44:49 +00:00 committed by Gerrit Code Review
commit 3c7011f96e
2 changed files with 4 additions and 3 deletions

View File

@ -130,4 +130,4 @@ FULL_BACKUP_DIRS="/etc/puppet /var/www/nailgun"
BACKUP_ROOT="/var/backup/fuel"
# number of retries for "docker check"
CHECK_RETRIES=240
CHECK_RETRIES=80

View File

@ -94,14 +94,14 @@ function retry_checker {
echo "checking with command \"$*\""
until eval $*; do
rc=$?
((tries++))
let 'tries=tries+1'
echo "try number $tries"
echo "return code is $rc"
if [ $tries -gt $CHECK_RETRIES ];then
failure=1
break
fi
sleep 1
sleep 5
done
}
@ -691,6 +691,7 @@ finish or cancel them. Run \"fuel task list\" for more details." 1>&2
for container in $CONTAINER_SEQUENCE; do
check_ready $container
done
echo "Restore complete."
#remove trap
trap - EXIT
}